<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'superrobota',

    /*
     * Package.
     */
    'package'   => 'announcement',

    /*
     * Modules.
     */
    'modules'   => ['job_offert', 
'training_offert', 
'rental_offer', 
'advertisment'],

    'job_offert'       => [
        'model' => [
            'model'                 => \Superrobota\Announcement\Models\JobOffert::class,
            'table'                 => 'job_offerts',
            'presenter'             => \Superrobota\Announcement\Repositories\Presenter\JobOffertPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['client_id',  'title',  'text',  'paid',  'price_list_id',  'date_start',  'date_end'],
            'translatables'         => [],
            'upload_folder'         => 'announcement/job_offert',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Announcement',
            'module'    => 'JobOffert',
        ],

    ],

    'training_offert'       => [
        'model' => [
            'model'                 => \Superrobota\Announcement\Models\TrainingOffert::class,
            'table'                 => 'training_offerts',
            'presenter'             => \Superrobota\Announcement\Repositories\Presenter\TrainingOffertPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['client_id',  'title',  'text',  'paid',  'price_list_id',  'date_start',  'date_end'],
            'translatables'         => [],
            'upload_folder'         => 'announcement/training_offert',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Announcement',
            'module'    => 'TrainingOffert',
        ],

    ],

    'rental_offer'       => [
        'model' => [
            'model'                 => \Superrobota\Announcement\Models\RentalOffer::class,
            'table'                 => 'rental_offers',
            'presenter'             => \Superrobota\Announcement\Repositories\Presenter\RentalOfferPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['client_id',  'title',  'text',  'paid',  'price_list_id',  'date_start',  'date_end'],
            'translatables'         => [],
            'upload_folder'         => 'announcement/rental_offer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Announcement',
            'module'    => 'RentalOffer',
        ],

    ],

    'advertisment'       => [
        'model' => [
            'model'                 => \Superrobota\Announcement\Models\Advertisment::class,
            'table'                 => 'advertisments',
            'presenter'             => \Superrobota\Announcement\Repositories\Presenter\AdvertismentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['client_id',  'title',  'paid',  'price_list_id',  'date_start',  'date_end'],
            'translatables'         => [],
            'upload_folder'         => 'announcement/advertisment',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Announcement',
            'module'    => 'Advertisment',
        ],

    ],
];
