<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRentalOffersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: rental_offers
         */
        Schema::create('rental_offers', function ($table) {
            $table->increments('id');
            $table->integer('client_id')->nullable();
            $table->string('title', 50)->nullable();
            $table->text('text')->nullable();
            $table->tinyInteger('paid')->nullable();
            $table->integer('price_list_id')->nullable();
            $table->date('date_start')->nullable();
            $table->date('date_end')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('rental_offers');
    }
}
