<?php

namespace Superrobota\Announcement;

use User;

class Announcement
{
    /**
     * $job_offert object.
     */
    protected $job_offert;
    /**
     * $training_offert object.
     */
    protected $training_offert;
    /**
     * $rental_offer object.
     */
    protected $rental_offer;
    /**
     * $advertisment object.
     */
    protected $advertisment;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Announcement\Interfaces\JobOffertRepositoryInterface $job_offert,
        \Superrobota\Announcement\Interfaces\TrainingOffertRepositoryInterface $training_offert,
        \Superrobota\Announcement\Interfaces\RentalOfferRepositoryInterface $rental_offer,
        \Superrobota\Announcement\Interfaces\AdvertismentRepositoryInterface $advertisment)
    {
        $this->job_offert = $job_offert;
        $this->training_offert = $training_offert;
        $this->rental_offer = $rental_offer;
        $this->advertisment = $advertisment;
    }

    /**
     * Returns count of announcement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.job_offert.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->job_offert->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\JobOffertUserCriteria());
        }

        $job_offert = $this->job_offert->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('announcement::' . $view, compact('job_offert'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.training_offert.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->training_offert->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\TrainingOffertUserCriteria());
        }

        $training_offert = $this->training_offert->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('announcement::' . $view, compact('training_offert'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.rental_offer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->rental_offer->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\RentalOfferUserCriteria());
        }

        $rental_offer = $this->rental_offer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('announcement::' . $view, compact('rental_offer'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.advertisment.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->advertisment->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\AdvertismentUserCriteria());
        }

        $advertisment = $this->advertisment->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('announcement::' . $view, compact('advertisment'))->render();
    }
}
