<?php

namespace Superrobota\Announcement\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind JobOffert policy
        'Superrobota\Announcement\Models\JobOffert' => \Superrobota\Announcement\Policies\JobOffertPolicy::class,
// Bind TrainingOffert policy
        'Superrobota\Announcement\Models\TrainingOffert' => \Superrobota\Announcement\Policies\TrainingOffertPolicy::class,
// Bind RentalOffer policy
        'Superrobota\Announcement\Models\RentalOffer' => \Superrobota\Announcement\Policies\RentalOfferPolicy::class,
// Bind Advertisment policy
        'Superrobota\Announcement\Models\Advertisment' => \Superrobota\Announcement\Policies\AdvertismentPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
