<?php

namespace Superrobota\Announcement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdvertismentTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Announcement\Models\Advertisment $advertisment)
    {
        return [
            'id'                => $advertisment->getRouteKey(),
            'key'               => [
                'public'    => $advertisment->getPublicKey(),
                'route'     => $advertisment->getRouteKey(),
            ], 
            'client_id'         => $advertisment->client_id,
            'title'             => $advertisment->title,
            'paid'              => $advertisment->paid,
            'price_list_id'     => $advertisment->price_list_id,
            'date_start'        => $advertisment->date_start,
            'date_end'          => $advertisment->date_end,
            'url'               => [
                'public'    => trans_url('announcement/'.$advertisment->getPublicKey()),
                'user'      => guard_url('announcement/advertisment/'.$advertisment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$advertisment->status),
            'created_at'        => format_date($advertisment->created_at),
            'updated_at'        => format_date($advertisment->updated_at),
        ];
    }
}