<?php

namespace Superrobota\Announcement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobOffertTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Announcement\Models\JobOffert $job_offert)
    {
        return [
            'id'                => $job_offert->getRouteKey(),
            'key'               => [
                'public'    => $job_offert->getPublicKey(),
                'route'     => $job_offert->getRouteKey(),
            ], 
            'client_id'         => $job_offert->client_id,
            'title'             => $job_offert->title,
            'text'              => $job_offert->text,
            'paid'              => $job_offert->paid,
            'price_list_id'     => $job_offert->price_list_id,
            'date_start'        => $job_offert->date_start,
            'date_end'          => $job_offert->date_end,
            'url'               => [
                'public'    => trans_url('announcement/'.$job_offert->getPublicKey()),
                'user'      => guard_url('announcement/job_offert/'.$job_offert->getRouteKey()),
            ], 
            'status'            => trans('app.'.$job_offert->status),
            'created_at'        => format_date($job_offert->created_at),
            'updated_at'        => format_date($job_offert->updated_at),
        ];
    }
}