<?php

namespace Superrobota\Announcement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RentalOfferTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Announcement\Models\RentalOffer $rental_offer)
    {
        return [
            'id'                => $rental_offer->getRouteKey(),
            'key'               => [
                'public'    => $rental_offer->getPublicKey(),
                'route'     => $rental_offer->getRouteKey(),
            ], 
            'client_id'         => $rental_offer->client_id,
            'title'             => $rental_offer->title,
            'text'              => $rental_offer->text,
            'paid'              => $rental_offer->paid,
            'price_list_id'     => $rental_offer->price_list_id,
            'date_start'        => $rental_offer->date_start,
            'date_end'          => $rental_offer->date_end,
            'url'               => [
                'public'    => trans_url('announcement/'.$rental_offer->getPublicKey()),
                'user'      => guard_url('announcement/rental_offer/'.$rental_offer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$rental_offer->status),
            'created_at'        => format_date($rental_offer->created_at),
            'updated_at'        => format_date($rental_offer->updated_at),
        ];
    }
}