<?php

namespace Superrobota\Announcement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TrainingOffertTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Announcement\Models\TrainingOffert $training_offert)
    {
        return [
            'id'                => $training_offert->getRouteKey(),
            'key'               => [
                'public'    => $training_offert->getPublicKey(),
                'route'     => $training_offert->getRouteKey(),
            ], 
            'client_id'         => $training_offert->client_id,
            'title'             => $training_offert->title,
            'text'              => $training_offert->text,
            'paid'              => $training_offert->paid,
            'price_list_id'     => $training_offert->price_list_id,
            'date_start'        => $training_offert->date_start,
            'date_end'          => $training_offert->date_end,
            'url'               => [
                'public'    => trans_url('announcement/'.$training_offert->getPublicKey()),
                'user'      => guard_url('announcement/training_offert/'.$training_offert->getRouteKey()),
            ], 
            'status'            => trans('app.'.$training_offert->status),
            'created_at'        => format_date($training_offert->created_at),
            'updated_at'        => format_date($training_offert->updated_at),
        ];
    }
}